Subject: [bug#76503] [GCD] Migrating repositories, issues, and patches to Codeberg

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 07 Mar 2025 16:37:00 +0100

Suhail Singh <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> As for experimenting, I agree and I reiterate my invitation to 
>> send
>> trivial patches to <https://codeberg.org/civodul/guix> (or to
>> Guix-Science, Guix-Past, etc.).  I think this GCD’s discussion 
>> period is
>> the right time to give it a try as it can better inform 
>> discussions.
>
> Based on Andreas's observations in [1]:
>
> #+caption: <https://yhetil.org/guix/Z8rJyIIUR84pWdLS@jurong/>
> #+begin_quote
>   On the other hand, as soon as there is a patch series on 
>   issues, it also
>   becomes more or less unreadable; after 5 versions of a 6-patch 
>   series,
>   it becomes difficult to find the start of the current version 
>   and all
>   comments in between.
> #+end_quote
>
> It seems if we are basing our experimentations on only "trivial 
> patches"
> that are sent to <https://codeberg.org/civodul/guix>, we may not 
> be
> observing the instances where a forge-style review process 
> actually
> struggles; our conclusions may be flawed.

We have had non-trivial patches with a number of revisions on the
guix-science channel.

Examples:

https://codeberg.org/guix-science/guix-science/pulls/59
https://codeberg.org/guix-science/guix-science/pulls/75

-- 
Ricardo